    SUBROUTINE ENVIRTHT(P1,T1,Q1,THT1,R1,RL,ALIQ,BLIQ,CLIQ,DLIQ,AICE,BICE,CICE,DICE)
!----------------------------------------------------------------------
    USE KFLUT
!
    IMPLICIT NONE
!
    REAL   (KIND=R4KIND), INTENT (IN)                                                           ::&
    & P1  , T1  , Q1  , R1 , RL , ALIQ ,                                                          &
    & BLIQ, CLIQ, DLIQ
!
    REAL   (KIND=R4KIND), INTENT (INOUT)                                                        ::&
    & THT1 , AICE , BICE , CICE , DICE
!
    REAL   (KIND=R4KIND)                                                                        ::&
    & EMIX,   ASTRT , AINC, A1  , TP   ,                                                          &
    & AINTRP, TLOG  , TDPT, T00 , P00  ,                                                          &
    & C1    , C2    , C3  , C4  , C5   ,                                                          &
    & VALUE , TSAT  , THT , TLCL
!
    INTEGER   (KIND=I4KIND)                                                                     ::&
   & INDLU
!
!----------------------------------------------------------------------
   DATA T00,P00,C1,C2,C3,C4,C5/273.16,1.E5,3374.6525,2.5403,3114.834 &
    ,    0.278296,1.0723E-3/
!----------------------------------------------------------------------

!***  CALCULATE ENVIRONMENTAL EQUIVALENT POTENTIAL TEMPERATURE.

      EMIX = Q1 * P1 / (0.622 + Q1)

!***  FIND THE TEMPERATURE OF THE MIXTURE AT ITS LCL.

     ASTRT = 1.E-3
      AINC = 0.075
        A1 = EMIX / ALIQ
        TP = (A1 - ASTRT) / AINC
     INDLU = INT(TP) + 1
     VALUE = (INDLU - 1) * AINC + ASTRT
    AINTRP = (A1 - VALUE) / AINC
      TLOG = AINTRP * ALU(INDLU+1) + (1-AINTRP) * ALU(INDLU)
      TDPT = (CLIQ - DLIQ * TLOG) / (BLIQ - TLOG)
      TLCL = TDPT - (.212 + 1.571E-3 * (TDPT - T00) - 4.36E-4 * (T1 - T00)) * (T1 - TDPT)
      TSAT = AMIN1(TLCL,T1)
       THT = T1 * (P00 / P1) ** (0.2854 * (1. - 0.28 * Q1))
      THT1 = THT * EXP((C1 / TSAT - C2) * Q1 * (1. + 0.81 * Q1))
!----------------------------------------------------------------------
    RETURN
    END SUBROUTINE ENVIRTHT
