    SUBROUTINE TPMIX2DD(P,THES,TS,QS)
!-----------------------------------------------------------------------
!******************* LOOKUP TABLE VARIABLES ****************************
    USE KFLUT
!***********************************************************************
!
    IMPLICIT NONE
!
    REAL   (KIND=R4KIND), INTENT (IN)                                                           ::&
    & P , THES
!
    REAL   (KIND=R4KIND), INTENT (INOUT)                                                        ::&
    & TS , QS
!
    REAL   (KIND=R4KIND)                                                                        ::&
    & QQ , BTH , TTH , PP  , T00 ,                                                                & 
    & T10, T01 , T11 , Q00 , Q10 ,                                                                &
    & Q01, Q11 , TP 
!
    INTEGER  (KIND=I4KIND)                                                                      ::&
    & IPTB , ITHTB
!
!***********************************************************************
!***  SCALING PRESSURE & TT TABLE INDEX
!***********************************************************************

      TP = (P - PTOP) * RDPR
      QQ = TP - AINT(TP)
    IPTB = INT(TP) + 1

!***********************************************************************
!***  BASE AND SCALING FACTOR FOR THE
!***********************************************************************

!***  SCALING THE & TT TABLE INDEX

      BTH = (THE0K(IPTB+1) - THE0K(IPTB)) * QQ + THE0K(IPTB)
      TTH = (THES - BTH) * RDTHK
       PP = TTH - AINT(TTH)
    ITHTB = INT(TTH) + 1

    T00 = TTAB(ITHTB  ,IPTB  )
    T10 = TTAB(ITHTB+1,IPTB  )
    T01 = TTAB(ITHTB  ,IPTB+1)
    T11 = TTAB(ITHTB+1,IPTB+1)

    Q00 = QSTAB(ITHTB  ,IPTB  )
    Q10 = QSTAB(ITHTB+1,IPTB  )
    Q01 = QSTAB(ITHTB  ,IPTB+1)
    Q11 = QSTAB(ITHTB+1,IPTB+1)

!***********************************************************************
!***  PARCEL TEMPERATURE
!***********************************************************************
!
    TS = (T00 + (T10 - T00) * PP + (T01 - T00) * QQ +(T00 - T10 - T01 + T11) * PP * QQ)
    QS = (Q00 + (Q10 - Q00) * PP + (Q01 - Q00) * QQ +(Q00 - Q10 - Q01 + Q11) * PP * QQ)
!-----------------------------------------------------------------------
    RETURN
    END SUBROUTINE TPMIX2DD
